import request from '@/utils/request'

// 查询管理任务路径及节点
export function getRouteNodeList(query) {
    return request({
        url: '/manage/signnode/getRouteNodeList',
        method: 'get',
        params: query
    })
}

//获取患者信息
export function getByPatientId(patientId) {
    return request({
        url: `/manage/visitRecord/getByPatientId/${patientId}`,
        method: 'get',
    })
}

//审核
export function audit(data) {
    return request({
        url: `/manage/signnode/audit`,
        method: 'post',
        data
    })
}

//路径信息
export function getRouteAuditinfo(signRecordId) {
    return request({
        url: `/manage/signroute/getRouteAuditInfo/${signRecordId}`,
        method: 'get',
    })
}

//路径任务
export function getRouteNodeInfo(signRecordId) {
    return request({
        url: `/manage/signroute/getRouteNodeInfo/${signRecordId}`,
        method: 'get',
    })
}

//路径审核
export function updateRouteCheckStatus(data) {
    return request({
        url: `/manage/signRecord/updateRouteCheckStatus`,
        method: 'post',
        data
    })
}


//画像信息接口
export function getPortaitInfo(patientId) {
    return request({
        url: `/manage/signRecord/getPortaitInfo/${patientId}`,
        method: 'get',
    })
}
// 画像审核
export function updatePortaitCheckStatus(data) {
    return request({
        url: `/manage/signRecord/updatePortaitCheckStatus`,
        method: 'post',
        data
    })
}
// 画像审核查询
export function getPortaitByPatient(query) {
    return request({
        url: '/manage/labelfieldcontent/getPortaitByPatient',
        method: 'get',
        params: query
    })
}

